
04.01.2016
Версия 3.5.2
! Исправлена ошибка вывода внешних и внутренней тестовых таблиц точек белого и чёрного для размеров, отличных от стандартных.
! Исправлена ошибка распознавания автоточек из файла, если между числами стоит более одного пробела или табуляций.

===========================================================================================
01.01.2016
Версия 3.5.1
! Исправлена ошибка, возникающая при выводе тестовой таблицы внутрь инструментального окна.
+ В надсмотрщик добавлен режим записи в соответствующие файлы различий в данных до и после исправления LUT. Включается в настройках запуска надсмотрщика.

===========================================================================================
10.11.2015
Версия 3.5
+ Последовательность автоточек теперь можно задавать самостоятельно в текстовых файлах, а затем выбирать нужный файл из инструментального окна.
+ В настройки добавлена возможность менять размеры тестовых таблиц путём установки размеров квадратных секторов, из которых они состоят.
+ В надсмотрщик добавлен выбор интервала проверки LUT. Изменения отразились в соответствующих настройках запуска надсмотрщика в основной программе.
+ В надсмотрщик добавлено горячее сочетание клавиш для принудительной загрузки LUT (Ctrl+Alt+Shift+Z).
+ В надсмотрщик добавлена возможность принудительной циклической загрузки LUT без её проверки.
+ Добавлена возможность сохранения LUT в файл с расширением .txt (содержимое аналогично файлу .crv3).
+ В настройки добавлена кнопка, открывающая папку с настройками программы и логом ошибок. Для сброса настроек к дефолтовым достаточно удалить файл настроек.
! Галочка включения надсмотрщика при загрузке системы теперь не запускает его сразу же. Для управления загрузчиком в реальном времени рядом предусмотрена отдельная кнопка.
! Исправления ошибок с ресурсами в надсмотрщике (на некоторых системах не отображались или отображались некорректно надписи всплывающего меню). 
! Исправление ошибок в обмене сообщениями между надсмотрщиком и основной программой.
! Исправление мелких ошибок в надписях.
- Убран файл перевода строковых констант программы для переводчиков. За 5 лет его наличия не было ни одного обращения для перевода, а его генерация требует некоторых телодвижений, которые ещё надо вспомнить.

===========================================================================================
14.10.2011
Версия 3.4
+ Добавлена возможность задержки автозагрузки, чтобы успели загрузиться другие автозагружаемые программы, которые при своём запуске могут сбивать данные в LUT.
+ Добавлена функция надсмотрщика (следящего автозагрузчика), который следит за состоянием LUT и восстанавливает её в случае изменения.
+ Добавлена возможность выбора цветового пространства для каждого монитора в отдельности. В соответствии с выбранным цветовым пространством рисуются внутренние тестовые таблицы.
+ Добавлена возможность постоянного циклического считывания данных из LUT (Alt+кнопка "Из LUT").
+ Добавлена возможность сохранения размера и положения инструментальных окон.
+ Добавлен вывод предупреждения о несоответствии путей программы и автозагрузки при запуске программы из другой папки, отличной от прописанной в автозагрузке.
+ При реверсе каналов, кнопки каналов соответствующим образом меняют свой цвет.
! Изменено место хранения настроек и логов. Теперь по умолчанию это папка X:\Documents and Settings\ИмяПользователя\Local Settings\Application Data\Novikov Maxim Glebovich\Calibrilla\
В настройках есть возможность вернуть прежний способ хранения этих файлов - в папке программы.
- Убрана ненужная кнопка "Обновить список мониторов системы", ошибочно приводившая к обнулению данных обо всех мониторах кроме первичного.
! Во время переключения вкладок мониторов при открытых инструментальных окнах, информация о LUT в таблице и на графике основного окна ошибочно обновлялась в соответствии с состоянием в этих инструментальных окнах. Теперь в главном окне при переключении вкладок всегда сохраняется состояние, которое было на момент открытия инструментальных окон (пока в инструментальном окне не будет нажата кнопка отправки данных в LUT).
! В нестилизованном интерфейсе инструментального окна исправлен внешний вид мелкого шрифта (надписи на микрокнопках внутренних тестов и наименования функциональных клавиш для открытия внешних тестов) и отображение самих микрокнопок.
! Инструмент "гамма-прирост" изменён на инструмент "Гамма". Теперь он отображает реальную гамму по средней точке, орган управления заменён слайдером, а диапазон регулировки можно изменить в экспертных настройках.
! Многочисленные мелкие исправления.

===========================================================================================

01.07.2011
Версия 3.3
! Исправлена функция синхронного изменения плечей диапазона коррекции (установленная галочка "связать") при прокрутке значений колёсиком мыши и при прямом изменении цифр. Добавлена блокировка изменения текущего плеча при достижении предельных значений другим плечом.
! Исправлен размер правого плеча со 128 на 127 при выборе точки 128 во время циклического обхода ключевых точек.
! Исправлена позиция открытия внешних тестов в случае, когда нижняя граница инструментального окна расположена слижком близко к краю экрана. В этом случае внешний тест открывается посередине инструментального окна и всегда имеет статус "всплывать над другими окнами" вне зависимости от соответствующей галочки настройках.
! Расширенный стиль границ окон теперь по умолчанию отключен.
! Ограничением диапазона гамма-прироста от -1 до 1 исключена ошибка, появляющаяся при запредельных значениях этого параметра.
+ Добавлена кнопка выбора средней точки (раньше выбор осуществлялся только сочетанием клавиш Shift+5).
+ Добавлено сохранение состояния галочки "связать" в блоке управления плечами диапазона коррекции и сохранение состояния дополнительной панели.
+ Добавлен инструмент плавного искривления графиков в тенях и светах по специальным профилям, расположенным в dlp-файлах (режим включается кнопками, находящимися справа от кнопок выбора белой, средней и чёрной точек).
+ Добавлен флажок отключения координатной сетки в поле графиков инструментального окна и соответствующий флажёк начального состояния этого флажка в окне настроек. Часть флажков перемещена снизу в верхнюю часть поля графиков.
+ Переработаны внешние тесты. Их максимальное количество расширено до 36 (помимо Ctrl+[F1-F12] добавлены быстрые клавиши F1-F12 и Shift+[F1-F12]). Добавлены кликабельные индикаторы включения/отключения внешних тестов.
+ Во внешние тесты добавлены кнопки закрытия теста и вызова справки по текущему тесту, если таковая присутствует. Справки для тестов в виде файлов текстового формата должны находиться в папке тестов.
+ В программе оставлен только один интегрированный стиль. Все остальные вынесены в соответствующую папку, до этого пустовавшую. Это изменение не сказывается на функциональности программы, но несколько сокращает размер её исполнимого модуля.
- Из пакета программы исключена папка Patterns с тестовыми таблицами, предназначенными для размещения их в качестве обоев рабочего стола. Эти тесты при необходимости можно загрузить отдельно. Произведены некоторые переименования других папок.

===========================================================================================

30.12.2010
Версия 3.2.1
! Исправлено отображение кавычек в некоторых строках английского перевода.
! Изменена политика перевода. Теперь системные сообщения не переводятся с английского на другие языки, поскольку при поиске причины ошибки в Интернете, поиск по англоязычной фразе даёт гораздо большее количество совпадений, в том числе и в рунете.
+ В комплект поставки включен файл Translations (переводы).xls для переводчиков на новые языки. Его надлежит открыть в Excel, дописать свой перевод третьей строкой, сохранить и отправить файл обратно, автору Калибриллы.

===========================================================================================

21.12.2010
Версия 3.2.
+ Добавлена англоязычная локализация. Теперь в англоязычной операционной системе программа включает англоязычный интерфейс, во всех остальных - русский. Также в настройках присутствует опция принудительного выбора языка.
+ Добавлен сплиттер, позволяющий менять пропорции справки и интерфейса в основном окне.
+ На график инструментального окна добавлен новый флажок, включающий/отключающий метки точек полосок теста. В настройки добавлен соответствующий флажок, устанавливающий начальное состояние этого флажка.
+ Окна с тестовыми таблицами сделаны липнущими к краям экрана.
+ В окно настроек на страницу автозагрузки добавлена кнопка "Обнулить", обнуляющая весь список автозагрузки.
+ В окно инструментов в правый нижний угол добавлены кнопки циклического перехода по ключевым точкам.
+ В окно настроек добавлен чекбокс, позволяющий отключать всплывающие подсказки.
! Исправлена ошибка позиционирования кнопки записи данных из файлов, внесённых автозагрузку, в LUT (на вкладке автозагрузки в окне настроек) происходившая при изменении ширины окна настроек.
! Исправлено начальное состояние активности кнопки перемещения файла вниз по списку на вкладке автозагрузки в окне настроек.
! Произведены множественные исправления работы интерфейса для совместимости с Windows 7, устранены неприятные дёргания и мигания при открывании боковых панелей.
! Версия комплектуется новыми версиями внешних тестов (Сtrl+[F1-F12]) для цветовых пространств Adobe RGB и sRGB а также копиями этих тестов для начинающих со встроенными текстовыми блоками помощи.
+ Документация систематизирована и дополнена двумя документами: "полное описание интерфейса программы" и "упрощённое описание методики калибровки монитора".
+ Добавлена папка с паттернами для использования в качестве обоев рабочего стола.

===========================================================================================

27.09.2010
Версия 3.1.
! Исправлена ошибка в экспертных настройках, из-за которой не запоминалось сохраняемое значение цены шага изменения, для значения выбранной точки при клавиатурной комбинации Shift+(Up, Down). 
! Исправлена ошибка в экспертных настройках, из-за которой не запоминалось сохраняемое значение минимального диапазона между цветами тестовых таблиц (параметр MinDY). Изменено умолчание этого параметра с "16" на "8".
! Изменено умолчание дельты уточнения цвета тестовых таблиц с "12" на "20".
! В подсказке кнопки открытия/закрытия панели дополнительных инструментов инструментального окна теперь учитывается её состояние (нажата/отжата).

===========================================================================================

25.06.2010
Версия 3.0.
+ В инструмент визуальной коррекции графиков LUT добавлены интерактивные тестовые таблицы визуального контроля и боковая панель с инструментами общей коррекции кривых тонопередачи, такие как гамма-коррекция, подсветка (уровень чёрного), яркость и контратность.
+ Добавлены кнопки быстрой настройки стандартных параметров при правке точки чёрного и точки белого.
+ Добавлены установки гаммы монитора и гаммы профиля системы для вычисления целевой гаммы.
+ Добавлен флаг цветового реверса, позволяющий при одном выбранном цветовом канале изменять два других одновременно, оставляя текущий неподвижным.
+ Добавлена функция визуального сужения диапазона правки для облегчения контроля цветов по таблицам.
+ На графики добавлены маркеры текущей точки правки и конечных точек плечей всего диапазона, подлежащего коррекции, а так же пунктирные маркеры границ визуального сужения диапазона.
+ В инструмент настройки автозагрузки добавлена кнопка ручной записи данных из указанных для автозагрузки файлов в LUT видеокарт (т.н. ручная автозагрузка)
+ Добавлена поддержка скинирования интерфейса программы. Помимо нескольких встроенных скинов имеются около шестидесяти скинов от AlphaControls (http://www.alphaskins.com)
+ Добавлено множество горячих клавиш.
+ Добавлена возможность вызывать из инструментального окна внешние тестовые изображения.
+ Добавлена возможность сохранять поканальные данные в три файла одновременно.
! Изменено расширение имени сохраняемых файлов с txt на crv1 (поканальное сохранение) и crv3 (то, что раньше сохранялось в txt). 
! Улучшены всплывающие подсказки (используется выделение, подчёркивание, курсив).

===========================================================================================

27.03.2010
Версия 2.0.
+ Добавлена поддержка неограниченного числа мониторов.
+ Добавлен инструмент визуальной коррекции графиков LUT для каждого монитора. Инструмент открывается на целевом мониторе.
+ Добавлен инструмент, порзволяющий прописывать в реестр автозагрузку нужных LUT при старте системы.

===========================================================================================

27.03.2010
Версия 1.4.
! Исправлено определение мониторов (ранее программа не всегда корректно распознавала мониторы).
! Мелкие улучшения интерфейса, в т.ч. ограничение на минимальный размер окна.

===========================================================================================

21.12.2009
Версия 1.3.
! Программа переведена на кодировку Unicode. Теперь русские буквы отображаются на компьютерах с любой текущей кодовой страницей.
! Интерфейс поддерживает стиль XP

===========================================================================================

14.12.2008
Версия 1.2.
+ Добавлена функция загрузчика LUT (поддержка двухмониторных систем)

===========================================================================================

12.12.2008
Версия 1.1.
+ Добавлена возможность считывания в таблицу отдельных цветовых каналов, сохранённых утилитой ICC Profile Inspector.
+ Добавлена кнопка полной очистки содержимого таблиц.
! Подкорректирован значок программы.
! Изменён цвет графиков второго монитора.

===========================================================================================

10.12.2008
Версия 1.0. Первый релиз.
